# Generated from phtools-0.16.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name phtools

Name: rubygem-%{gem_name}
Version: 0.16.0
Release: 1%{?dist}
Summary: A set of usefull tools to manipulate photo-video files
License: MIT
URL: https://github.com/AndrewBiz/phtools.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(cucumber) >= 2.0
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(aruba) >= 0.14
# BuildRequires: rubygem(aruba) < 1
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-cucumber)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(terminal-notifier-guard)
BuildArch: noarch

%description
A bundle of small CLI tools for arranging, renaming, tagging of the photo and
video files. Helps to keep your photo-video assets in order.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/phbackup
%{_bindir}/phfixdto
%{_bindir}/phfixfmd
%{_bindir}/phgettags
%{_bindir}/phls
%{_bindir}/phmove
%{_bindir}/phrename
%{_bindir}/phtools
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/TODO.md
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_instdir}/extras
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/phtools.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.16.0-1
- Initial package
